# Generated from train-mcp-0.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name train-mcp

Name: rubygem-%{gem_name}
Version: 0.2.0
Release: 1%{?dist}
Summary: Train Plugin for the NTT Managed Cloud Platform (cloud control)
License: Apache-2.0
URL: https://github.com/inspec/train/tree/master/examples/plugin
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Example for implementing a Train plugin.  This simply performs the ROT13
substitution cipher on file content and command output.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/train-mcp.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 0.2.0-1
- Initial package
